name: searchengine

networks:
  dev-net:
    external: true

services:
  searchengine:
    build:
      context: .
      dockerfile: Dockerfile
    image: searchengine
    container_name: searchengine
    restart: unless-stopped
    labels:
      - 'traefik.enable=true'
      - 'traefik.http.routers.searchengine.rule=Host(`search.kuksa.dev`)'
      - 'traefik.http.routers.searchengine.entrypoints=https'
      - 'traefik.http.services.searchengine.loadbalancer.server.port=8080'
      - 'traefik.http.routers.searchengine.tls=true'
      - 'traefik.http.routers.searchengine.tls.certresolver=le'
    networks:
      - dev-net
    ports:
      - "8090:8080"